<template>
  <div class="_swiper-wrapper">
    <swiper :options="swiperOption" ref="mySwiper">
      <!-- slides -->
      <swiper-slide v-for="(offer,index) in offers" :key="index">
        <div class="slide-content">
          <div class="slide-content__image-container"><img :src="offer.image" alt=""></div>
          <div class="slide-content__slide-info">
            <h5>{{offer.region}} • {{offer.city}}</h5>
            <h4>{{offer.destination}}</h4>
            <p class="slide-content__slide-info__description">{{offer.description}}</p>
            <p class="slide-content__slide-info__meta">
              <star-rating class="ratings" :star-size="12" :show-rating="false" active-color="#FFA17A" :rating="offer.ratings"/>
              <span>{{offer.ratings_num}}</span>
              <span class="bullet">•</span> 
              <span>{{offer.category}}</span>
            </p>
          </div>
        </div>
      </swiper-slide>
    </swiper>
    <!-- navigation -->
    <div class="offers-swiper-button offers-swiper-button--prev" slot="button--prev"><i class="fas fa-angle-left"></i></div>
    <div class="offers-swiper-button offers-swiper-button--next" slot="button--next"><i class="fas fa-angle-right"></i></div>
  </div>
</template>

<script>
import "swiper/dist/css/swiper.css";
import starRating from 'vue-star-rating'

import { swiper, swiperSlide } from "vue-awesome-swiper";

export default {
  name: 'offersSwiper',
  components: {
    swiper,
    swiperSlide,
    starRating
  },
  props : {
    offers : {
      type : Array,
      required : true
    }
  },
  data() {
    return {
      swiperOption: {
        slidesPerView: 4,
        roundLengths: true,
        spaceBetween: 26,
        navigation: {
          nextEl: '.offers-swiper-button--next',
          prevEl: '.offers-swiper-button--prev'
        },
        breakpoints: {
          1360: {
            slidesPerView: 3,
          },
          766: {
            slidesPerView: 2.5,
          },
          610: {
            slidesPerView: 2,
          },
          480: {
            slidesPerView: 1.5,
          }
        }
      }
    };
  }
};
</script>

<style lang="scss" scoped>
@import '~@/assets/scss/fonts.scss';
$primary : #00a290;


._swiper-wrapper{
  position: relative;
  max-width: 961px;
  width: 70%;
  margin: auto;
  @media (max-width: 1015px){
    width:100%;
  }
}

.swiper-container{
    width: 100%;
    position: relative;
}

.slide-content {
  // width: 220px;

  &__image-container{
      width:100%;
      height: 140px;
      border-radius: 4px;
      margin-bottom: 10px;

    img{
      width:100%;
      height: 100%;
      object-fit: cover;
      border-radius: inherit;
    }
  }

  &__slide-info{
    padding: 0 5px;

    h5{
      color: #48443E;
      font-family: "Brandon Grotesque";
      font-weight: 900;
      font-size: 12px;
      line-height: 18px;
      text-transform: uppercase;
      margin: 0;
    }
    
    h4{
      color: #48443E;
      font-family: Roboto;
      font-size: 16px;
      font-weight: bold;
      line-height: 23px;
      text-transform: capitalize;
      margin: 0;
    }

    &__description{
      height: 32px;	
      width: 208px;	
      color: #48443E;	
      font-family: Roboto;	
      font-size: 14px;	
      line-height: 16px;
      margin: 5px 0;
      overflow: hidden;
      display: -webkit-box;
      -webkit-line-clamp: 2;
      -webkit-box-orient: vertical;
    }

    &__meta{
      color: #48443E;	
      font-family: Roboto;	
      font-size: 12px;	
      margin: 0;
      font-weight: 500;	
      line-height: 24px;
      display: flex;
      align-items: center;

      .bullet{
        margin: 0;
      }

      span{
        font-weight: 500;
        text-transform: capitalize;
        margin: 0 5px;
      }
    }
  }

}

.offers-swiper-button{
  width: 40px;
  height: 40px;
  background: $primary;
  border-radius: 4px;
  position: absolute;
  top: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-size: 30px;
  cursor: pointer;
  z-index: 10;
  outline: none;

  &--prev{
    left: -72px;
  }

  &--next{
    right: -72px;
  }

  @media (max-width: 1015px){
    display:none;
  }
}

.swiper-button-disabled{
  background: #a6ddd7;
  cursor: default;
}
</style>

